package controller

import (
	"github.com/rs/zerolog"
	"web-qudo-be/app/module/articles/service"
)

type Controller struct {
	Articles ArticlesController
}

func NewController(ArticlesService service.ArticlesService, log zerolog.Logger) *Controller {
	return &Controller{
		Articles: NewArticlesController(ArticlesService, log),
	}
}
